Bug 7936 - segmentation fault in mutt v 1.5.10i on imap dirs
: segmentation fault in mutt v 1.5.10i on imap dirs
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mutt1.5)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-12 14:53 by
Modified: 2008-02-15 23:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-12 14:53:44
при открытии imap://imap.comp-mir.ru/INBOX/ в mutt v 5.3.10i ловлю SIGSEGV.
strace под конец показывает:
read(5, "imap://imap.comp-mir.ru/INBOX/32"..., 678) = 678
mmap2(NULL, 540700672, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0)
=
0x87591000
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++

на v5.3.9i всё норамльно
------- Comment #1 From 2005-09-12 14:56:24 -------
я неправильно написал версии:
1.5.10i - вылетает с SIGSEGV
1.5.9i работает нормально
------- Comment #2 From 2005-09-12 15:29:53 -------
To appropriate maintainer.
------- Comment #3 From 2005-09-12 17:01:40 -------
Попробуйте убить IMAP кэш, если он есть.
Возможно дело в нём.
У меня воспроизводится.
------- Comment #4 From 2005-09-13 08:58:39 -------
убийство кеша помогло - заработал как надо.
------- Comment #5 From 2005-09-22 12:40:52 -------
Попробую покопаться в потрохах hcache.  Segfault в любом случа не выход...
------- Comment #6 From 2005-09-28 10:30:03 -------
Не могу воспроизвести.  Попробуйте пересобрать mutt с --enable debug, словите
корку и покажите backtrace...
------- Comment #7 From 2006-04-30 23:32:16 -------
Это проблема header_cache, когда от версии к версии меняется количество полей в
записи.  Боюсь, единственно решение тут - ждать "устаканивания" этой фичи.
------- Comment #8 From 2006-05-10 09:37:16 -------
уже третье обновление mutt прошло без эксцессов. наверное closed.
------- Comment #9 From 2008-02-15 23:39:30 -------
re
------- Comment #10 From 2008-02-15 23:40:07 -------
Раз работает, то FIXED